## org.apache.ivy.plugins.circular
Class CircularDependencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.ivy.plugins.circular.CircularDependencyException

All Implemented Interfaces:
  java.io.Serializable

    public class CircularDependencyException

extends java.lang.RuntimeException

Unchecked exception thrown when a circular dependency exists between projects.

See Also:
  Serialized Form

Constructor Summary
`CircularDependencyException(ModuleRevisionId[] mrids)`

Method Summary
`ModuleRevisionId[]` `getPath()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CircularDependencyException

    public CircularDependencyException(ModuleRevisionId[] mrids)

Parameters:
  `descriptors` - module descriptors in order of circular dependency

Method Detail

### getPath

    public ModuleRevisionId[] getPath()